export namespace LocalStorage {
    export function set<T = any>(key: string, value: T) {
        localStorage.setItem(key, JSON.stringify(value));
    }

    export function get<T = any>(key: string): T {
        let item = localStorage.getItem(key);
        try {
            if (item) item = JSON.parse(item);
        } catch {}
        return item as T;
    }
    export function remove(key: string): void {
        localStorage.removeItem(key);
    }
}
